<?php

namespace _121Digital\Connect\Google;

use _121Digital\Connect\Google\Admin\GoogleAdminMenu;

class Google
{
    private array $_googleSubModules = [
      GoogleAdminMenu::class
    ];

    public function register(): void
    {
        $this->registerSubModules();
    }

    private function registerSubModules(): void
    {
        foreach ($this->_googleSubModules as $moduleClass) {
            $moduleInstance = new $moduleClass();
            $moduleInstance->register();
        }
    }
}
